=== debian/control ===
Source: libapache-mod-dtcl
Section: unknown
Priority: optional
Maintainer: David N. Welton <davidw@efn.org>
Standards-Version: 2.5.0

Package: libapache-mod-dtcl
Architecture: any
Depends: ${shlibs:Depends}, apache-common (>= 1.3.6)
Description: Allows the use of Tcl as a server parsed language, similar to PHP.
 Permits the use of Tcl as a server-side scripting language, tightly
 integrated with HTML, similar to PHP.
