=== debian/changelog ===
libapache-mod-dtcl (0.11.7-1) unstable; urgency=low

  * mod_dtcl.c (execute_and_check): Make sure to output results of
    ErrorScript.

 -- David N. Welton <davidw@debian.org>  Thu, 18 Apr 2002 15:01:30 +0200

libapache-mod-dtcl (0.11.6-1) unstable; urgency=low

  * Fixed problem with 'var' command.  Variables with similar names
    sometimes are confused.

 -- David N. Welton <davidw@debian.org>  Wed, 13 Mar 2002 16:57:14 +0100

libapache-mod-dtcl (0.11.5-2) unstable; urgency=low

  * Fixed postinst and postrm, thanks to Jnos Holnyi <csani@lme.linux.hu>.

 -- David N. Welton <davidw@debian.org>  Mon, 19 Nov 2001 12:42:06 +0100

libapache-mod-dtcl (0.11.5-1) unstable; urgency=low

  * Check return value for ApacheRequest___parse.

 -- David N. Welton <davidw@debian.org>  Sat,  3 Nov 2001 17:38:08 +0100

libapache-mod-dtcl (0.11.4-1) unstable; urgency=low

  * Fixed bug in Parse command.

  * Added Debian SSL config stuff from Jnos Holnyi (closes: #115333)

 -- David N. Welton <davidw@debian.org>  Mon, 15 Oct 2001 20:43:40 +0200

libapache-mod-dtcl (0.11.3-1) unstable; urgency=low

  * I18n updates.

  * Fixed build scripts. (closes: #111488)

 -- David N. Welton <davidw@debian.org>  Tue,  9 Oct 2001 17:22:37 +0200

libapache-mod-dtcl (0.11.2-1) unstable; urgency=low

  * Minor updates.
  * Fixes build variables: (closes: #102200)

 -- David N. Welton <davidw@debian.org>  Thu, 30 Aug 2001 11:08:17 +0200

libapache-mod-dtcl (0.11.1-1) unstable; urgency=low

  * Fixed VARS variable, documentation updates.

  * Fixed build variables: (closes: #102208)

 --

-- David N. Welton <davidw@debian.org>  Fri, 27 Jul 2001 13:52:10 +0200

libapache-mod-dtcl (0.11.0-1) unstable; urgency=low

  * New variable command 'var'.

 -- David N. Welton <davidw@debian.org>  Sat,  2 Jun 2001 19:18:30 +0200

libapache-mod-dtcl (0.10.1-0) unstable; urgency=low

  * Fixed file upload bug.

  * Added ErrorScript directive.

  * Update docs.

 -- David N. Welton <davidw@debian.org>  Tue,  1 May 2001 18:17:08 +0200

libapache-mod-dtcl (0.9.3-3) unstable; urgency=low

  * Upgraded apreq* stuff to deal with file uploads directly to apache
    variable.

  * UPLOAD variables can now be lists.

  * Switched syntax to <? ?>.

 -- David N. Welton <davidw@debian.org>  Tue, 20 Mar 2001 20:17:29 +0100

libapache-mod-dtcl (0.9.3-2) unstable; urgency=low

  * Added build depends.

  * Closes #85787.

  * Closes #87251.

 -- David N. Welton <davidw@debian.org>  Mon, 26 Feb 2001 14:01:34 +0100

libapache-mod-dtcl (0.9.3-1) unstable; urgency=low

  * New version.

  * Cleaned up Debian build stuff, (Fixes #66402).

 -- David N. Welton <davidw@prosa.it>  Fri, 16 Feb 2001 14:11:55 +0100

libapache-mod-dtcl (0.9.0-1) unstable; urgency=low

  * New version.

  * Started using apreq code for file uploads and other stuff.

  * Documentation changes.

 -- David N. Welton <davidw@debian.org>  Mon, 12 Feb 2001 19:52:59 +0100

libapache-mod-dtcl (0.8.12-1) unstable; urgency=low

  * Various cookie fixes.

  * New build system.

 -- David N. Welton <davidw@prosa.it>  Sun,  5 Nov 2000 23:48:11 +0100

libapache-mod-dtcl (0.8.8-2) unstable; urgency=low

  * Code to deal with before/after scripts.

  * Rewrite of Apache directives.

 -- David N. Welton <davidw@linuxcare.com>  Tue, 26 Sep 2000 17:59:57 +0200

libapache-mod-dtcl (0.8.1-1) unstable; urgency=low

  * Put some code in as a workaround for systems with Tcl compiled against
    threads.

 -- David N. Welton <davidw@efn.org>  Thu, 22 Jun 2000 01:42:26 +0200

libapache-mod-dtcl (0.8.0-1) unstable; urgency=low

  * Added information about building on HPUX.
  * Added support for .tcl files.
  * Fixed bug in HGetVars which manifests itself only when content
    negotiation is used.
  * Updated documentation.

 -- David N. Welton <davidw@efn.org>  Tue, 16 May 2000 19:00:05 +0200

libapache-mod-dtcl (0.7.5-1) unstable; urgency=low

  * Changed hputs to use "" instead of {}, so that { and } may be escaped
    with backslashes.

  * Changed output format for errors.

 -- David N. Welton <davidw@efn.org>  Wed, 19 Apr 2000 17:49:47 +0200
