=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
-# $Id: rules,v 1.10 1999/11/14 23:21:19 davidw Exp $
+# $Id: rules,v 1.8 2001/10/09 15:29:47 davidw Exp $
+
+TCL_VERSION=8.3
 
 package=libapache-mod-dtcl
 
 build:
 	$(checkdir)
-	make other DEBUG_SCRIPT_DIR="/usr/lib/mod_dtcl/"
-	make CFLAGS="-O2 -g -Wall"
+	( export C_INCLUDE_PATH=/usr/include/tcl$(TCL_VERSION)/ ; APACHE=/ ./builddtcl.sh EXTRA_FLAGS=-DEAPI )
 	touch build
 
 clean:
@@ -31,12 +32,7 @@
 	cd debian/tmp && install -d `cat ../dirs`
 	cp mod_dtcl.so debian/tmp/usr/lib/apache/1.3/
 	cp debian/400mod_dtcl.info debian/tmp/usr/lib/apache/1.3/
-	cp infodebug.tcl debian/tmp/usr/lib/mod_dtcl/
-	cp testdtcl.tcl debian/tmp/usr/lib/mod_dtcl/
-	cp testdtcl debian/tmp/usr/bin/
-# Must have debmake installed for this to work. Otherwise please copy
-# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	dh_installdocs *.html *.ttml INSTALL.txt use.txt readme.txt dtcl-tcl.txt dtcl.tcl two-mode-mode.el dtcl.gif
+	dh_installdocs docs/ contrib/
 	dh_installchangelogs
 	dh_installmanpages
 	dh_movefiles
