## libapache-mod-dtcl 1.0.1-2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.18 2001/09/05 12:01:22 davidw Exp $
+# $Id: Makefile,v 1.19 2002/11/05 00:33:04 davidw Exp $
 
 # Changed to use the Tcl variables from tclConfig.sh
 
@@ -23,10 +23,10 @@
 all: builddtcl_test shared
 
 static: $(OBJECTS) docs/documentation.html
-	$(TCL_STLIB_LD) $(STATICLIB) $(OBJECTS) 
+	$(TCL_STLIB_LD) $(STATICLIB) $(OBJECTS)
 
 shared: $(OBJECTS) docs/documentation.html
-	$(TCL_SHLIB_LD) -o $(SHLIB) $(OBJECTS) $(TCL_LIB_SPEC) $(TCL_LIBS)
+	$(TCL_SHLIB_LD) $(TCL_SHLIB_CFLAGS) -o $(SHLIB) $(OBJECTS) $(TCL_LIB_SPEC) $(TCL_LIBS)
 
 # I don't have too many C files, so it's just clearer to do things by
 # hand
@@ -46,10 +46,10 @@
 channel.o: channel.c mod_dtcl.h channel.h
 	$(COMPILE)
 
-clean: 
+clean:
 	-rm -f $(STATICLIB) $(SHLIB) *.o *~ docs/documentation.txt docs/documentation.html
 
-version: 
+version:
 	./cvsversion.tcl
 
 docs/documentation.html:
