=== debian/changelog ===
libapache-mod-dtcl (1.0.1-2) unstable; urgency=low

  * Make sure postrm script works properly.

 -- David N. Welton <davidw@debian.org>  Tue, 19 Aug 2003 10:10:43 +0200

libapache-mod-dtcl (1.0.1-1) unstable; urgency=low

  * Made file upload stuff work on windows, thanks to Holger Zeinert.

 -- David N. Welton <davidw@debian.org>  Tue,  7 Jan 2003 14:18:02 -0800

libapache-mod-dtcl (1.0.0-1) unstable; urgency=low

  * Cleanup after HEAD requests.

  * Make changes necessary for Tcl 8.4 compatibility.

  * Update to latest httpd-apreq code.

 -- David N. Welton <davidw@debian.org>  Mon,  4 Nov 2002 17:05:14 -0800

libapache-mod-dtcl (0.12.1-1) unstable; urgency=low

   * tcl_commands.c (HGetVars): Don't call ap_clear_table, as it can
     interfere with other modules, like mod_unique_id.

 -- David N. Welton <davidw@debian.org>  Wed, 11 Sep 2002 18:17:15 -0700

libapache-mod-dtcl (0.12.0-1) unstable; urgency=low

  * New array for client header information - CLIENT_ENVS.  ENVS variables
    could be overwritten by client headers, presenting a possible security
    risk.

 -- David N. Welton <davidw@debian.org>  Wed, 26 Jun 2002 15:03:04 +0200

libapache-mod-dtcl (0.11.8-1) unstable; urgency=low

  * Make sure to check the correct variable names with 'list' and
    'exists. as well.

 -- David N. Welton <davidw@debian.org>  Fri,  3 May 2002 16:04:51 +0200
