=== debian/control ===
Source: libapache-mod-dtcl
Build-Depends: tcl8.3-dev, apache-dev, debhelper
Section: web
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Standards-Version: 3.6

Package: libapache-mod-dtcl
Architecture: any
Recommends: rivet
Depends: ${shlibs:Depends}, apache-common (>= 1.3.6)
Description: Server side Tcl scripting for Apache
 The mod_dtcl Apache module enables the use of Tcl as an HTML-embedded
 scripting language, similar to PHP. It is fast, light, and lets you
 use the extensive code base of existing Tcl code, on the web.  You
 should consider upgrading to Rivet.
